<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xintong.visualinspection.visuallnspection_fjq.dao.FwqAreaDao">


    <select id="getall" parameterType="com.xintong.visualinspection.bean.AreaInfo" resultType="com.xintong.visualinspection.bean.AreaInfo">
        select * from area_info where 1=1
        <if test="id != null">AND id = #{id}</if>
        <if test="dept_id != null">AND dept_id = #{dept_id}</if>
        <if test="name != null ">AND name = #{name}  </if>
        <if test="type != null">AND type = #{type}</if>
    </select>


</mapper>

